/**
 * Created by luyanan on 18/11/21.
 * form validator rules
 */

export function requiredTip(str) {
  return `请填写${str}`
}
export function limitNumTip(str, num) {
  return `${str}不得超过${num}个字`
}
export function formatTip(str) {
  return `${str}格式有误，请检查后重新填写`
}

// 邮箱,@,50个字
export function checkEmailV(rule, value, callback) {
  const reg = /^([A-Za-z0-9_\-\.\u4e00-\u9fa5])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,8})$/
  if (value && !reg.test(value) && value.length < 50) {
    return callback(new Error('邮箱格式有误，请检查后重新填写'))
  } else {
    return callback()
  }
}

// 手机号码验证
export function checkPhoneV(rule, value, callback) {
  const reg = /^1[3|4|5|7|8][0-9]\d{8}$/
  if (!value) {
    return callback(new Error('请填写手机号码'))
  } else if (!reg.test(value)) {
    return callback(new Error('手机号码格式有误，请检查后重新填写'))
  } else {
    return callback()
  }
}

// 邮编,限制只能输入数字,20个字
export function checkInterNum(rule, value, callback) {
  const reg = /^[0-9]*$/
  if (!value && !reg.test(value)) {
    return callback(new Error('请输入正确邮编'))
  } else {
    callback()
  }
}
